Skip to main content
GET
/
v2
/
amplify
/
withdrawalRequests
List withdrawal requests
curl --request GET \
  --url https://api.paxoslabs.com/v2/amplify/withdrawalRequests \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.paxoslabs.com/v2/amplify/withdrawalRequests"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.paxoslabs.com/v2/amplify/withdrawalRequests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "withdrawalRequests": [
    {
      "id": "wr_abc123def456",
      "vaultAddress": "0x1234567890abcdef1234567890abcdef12345678",
      "chainId": 1,
      "wantAssetAddress": "0xabcdef1234567890abcdef1234567890abcdef12",
      "status": "PENDING",
      "createdAt": "2026-01-21T15:04:05Z",
      "createdTxHash": "0xa53ff1a2a11d917cf68f70de5506b6f53febe76e68889d0cc3ed0d4bf90b3995",
      "updatedTxHash": "0x1b6aa5f613c0ca65e2c2098062b82cfa8c34b7579bc7e55953b08065223a77f2",
      "userAddress": "0x1234567890abcdef1234567890abcdef12345678",
      "receiverAddress": "0x1234567890abcdef1234567890abcdef12345678",
      "refundReceiverAddress": "0x1234567890abcdef1234567890abcdef12345678",
      "orderAmount": "123.456789",
      "orderIndex": "1",
      "isSubmittedViaSignature": false,
      "isForceProcessed": false,
      "isMarkedForRefund": false,
      "isMarkedForRefundByUser": true,
      "didOrderFailTransfer": false
    }
  ],
  "nextPageToken": "eyJvZmZzZXQiOjI1fQ==",
  "tokenMetadata": {}
}
{
"error": {
"code": 400,
"message": "Invalid filter syntax.",
"status": "INVALID_ARGUMENT",
"details": [
{
"@type": "type.paxoslabs.dev/errors/BadRequest",
"fieldViolations": [
{
"field": "filter",
"description": "vaultAddress 0x0x is an invalid hex address."
}
]
}
]
}
}

Authorizations

x-api-key
string
header
required

API key in format: pxl_<public_id>_

Query Parameters

pageSize
number
default:25

Maximum items per page. Default: 25. Min: 1, max: 100.

Required range: 1 <= x <= 100
Example:

25

pageToken
string

Opaque token for the next page. Omit for the first page.

filter
string

Filter string. Flags: status (PENDING|COMPLETE|PENDING_REFUND|REFUNDED), chainId, wantAssetAddress, vaultAddress, userAddress, receiverAddress, refundReceiverAddress, orderIndex, isSubmittedViaSignature, isForceProcessed, isMarkedForRefund, isMarkedForRefundByUser, didOrderFailTransfer. Optional.

Example:

"status=PENDING AND chainId=1 AND wantAssetAddress=0x1234567890abcdef1234567890abcdef12345678 AND vaultAddress=0x1234567890abcdef1234567890abcdef12345678 AND userAddress=0x1234567890abcdef1234567890abcdef12345678 AND isMarkedForRefund=false"

Response

List of withdrawal requests

withdrawalRequests
object[]
required

List of withdrawal requests

nextPageToken
string | null
required

Token for the next page. null when there are no more results. Always present.

Example:

"eyJvZmZzZXQiOjI1fQ=="

tokenMetadata
object
required

Address metadata map keyed by lowercase token/address. Missing metadata is represented as null.